// Desktop Rox - A game by Stephen Stair (sgstair@akkit.org) for LudumDare 11 (48h game competition)
// DesktopSpriteManager - system for rendering sprites on the desktop :>

#pragma once
#include <windows.h>
#include "Bitmap.h"

typedef LRESULT (WINAPI *BmpWndProc)(HWND, UINT, WPARAM, LPARAM, void*);

class BitmapWindow
{
public:
	BitmapWindow(int x, int y, int w, int h);
	~BitmapWindow(void);

	void Redraw(); // Use to force an update after rendering.
	void Move(int x, int y);

	void SetWndProc(BmpWndProc handlerproc, void* data);

	Bitmap bmp;

	int GetX();
	int GetY();


protected:
	static LRESULT WINAPI WndProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam);

	BmpWndProc userwndproc;
	void * userwndprocdata;

	HWND hWnd;
	int cur_x, cur_y;
};



